osg::ShapeVisitor Class Reference

`#include <Shape>`

## Public Member Functions

| ShapeVisitor ()
virtual | ~ShapeVisitor ()
virtual void | apply (Shape &)
virtual void | apply (Sphere &)
virtual void | apply (Box &)
virtual void | apply (Cone &)
virtual void | apply (Cylinder &)
virtual void | apply (Capsule &)
virtual void | apply (InfinitePlane &)
virtual void | apply (TriangleMesh &)
virtual void | apply (ConvexHull &)
virtual void | apply (HeightField &)
virtual void | apply (CompositeShape &)

## Constructor & Destructor Documentation

## ShapeVisitor()

osg::ShapeVisitor::ShapeVisitor | ( |  | ) |

inline

## ~ShapeVisitor()

virtual osg::ShapeVisitor::~ShapeVisitor | ( |  | ) |

virtual

## Member Function Documentation

## apply() [1/11]

virtual void osg::ShapeVisitor::apply | ( | Box & |  | ) |

inline virtual

## apply() [2/11]

virtual void osg::ShapeVisitor::apply | ( | Capsule & |  | ) |

inline virtual

## apply() [3/11]

virtual void osg::ShapeVisitor::apply | ( | CompositeShape & |  | ) |

inline virtual

## apply() [4/11]

virtual void osg::ShapeVisitor::apply | ( | Cone & |  | ) |

inline virtual

## apply() [5/11]

virtual void osg::ShapeVisitor::apply | ( | ConvexHull & |  | ) |

inline virtual

## apply() [6/11]

virtual void osg::ShapeVisitor::apply | ( | Cylinder & |  | ) |

inline virtual

## apply() [7/11]

virtual void osg::ShapeVisitor::apply | ( | HeightField & |  | ) |

inline virtual

## apply() [8/11]

virtual void osg::ShapeVisitor::apply | ( | InfinitePlane & |  | ) |

inline virtual

## apply() [9/11]

virtual void osg::ShapeVisitor::apply | ( | Shape & |  | ) |

inline virtual

## apply() [10/11]

virtual void osg::ShapeVisitor::apply | ( | Sphere & |  | ) |

inline virtual

## apply() [11/11]

virtual void osg::ShapeVisitor::apply | ( | TriangleMesh & |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- Shape